/*******************************************************************************
 * FoxRadialMenuQuickGrenade generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxRadialMenuQuickGrenade extends FoxRadialMenuBase within GFxMoviePlayer;

var array<int> GearIndexMappings;

function Initialize()
{
    local array<RadialMenuItem> Items;
    local RadialMenuItem NewItem;
    local int I, FocusedIndex;
    local FoxInventoryManager InvManager;
    local FoxWeapon Weapon;

    FocusedIndex = -1;
    InvManager = FoxInventoryManager(PCOwner.MyFoxPawn.InvManager);
    // End:0x1FA
    if(InvManager != none)
    {
        I = 0;
        J0x6F:
        // End:0x1FA [Loop If]
        if(I < 4)
        {
            Weapon = InvManager.GetWeaponAtGearSlot(I);
            // End:0x1EC
            if(Weapon != none)
            {
                GearIndexMappings.AddItem(I);
                NewItem.sName = Weapon.FriendlyName;
                NewItem.sIcon = PCOwner.DynamicUI.MarkupImageString(Weapon.ImageIconRef);
                Items.AddItem(NewItem);
                // End:0x1EC
                if(InvManager.QuickSelectGearIndex == I)
                {
                    FocusedIndex = Items.Length - 1;
                    OnSelectItem(FocusedIndex);
                }
            }
            ++ I;
            // [Loop Continue]
            goto J0x6F;
        }
    }
    as_setItems(Items);
    as_SetFocusToIndex(FocusedIndex);
    super.Initialize();
    //return;    
}

function OnSelectItem(int NewItemIndex)
{
    // End:0x132
    if((NewItemIndex >= 0) && NewItemIndex < 4)
    {
        FoxInventoryManager(PCOwner.MyFoxPawn.InvManager).QuickSelectGearIndex = GearIndexMappings[NewItemIndex];
        // End:0x132
        if(PCOwner.DynamicUI.HUD.GearWidget != none)
        {
            PCOwner.DynamicUI.HUD.GearWidget.UpdateGear();
        }
    }
    //return;    
}

defaultproperties
{
    symbolname="w_radialSelect8Slots"
    bPushHudBackWhenOpen=true
}